classification
Title: Port LOAD_ATTR to adaptive interpreter
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, Mark.Shannon, gvanrossum
Priority: normal Keywords: patch

Created on 2021-06-07 18:03 by Mark.Shannon, last changed 2021-06-21 10:49 by Mark.Shannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26595 merged Mark.Shannon, 2021-06-08 10:26
PR 26718 merged Mark.Shannon, 2021-06-14 12:09
PR 26759 merged Mark.Shannon, 2021-06-16 15:04
Messages (5)
msg395271 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-06-07 18:03
Port the implementation of LOAD_ATTR to the new adaptive interpreter
msg395346 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python committer) Date: 2021-06-08 17:49
Mark would you mind sharing your opinions on this: https://bugs.python.org/issue44313 (should we still keep generating LOAD_METHOD/CALL_METHOD for potential objects imported through `from x import y`, or they also generate LOAD_ATTR/CALL_FUNCTION).
msg395513 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-06-10 07:46
New changeset e117c0283705943189e6b1aef668a1f68f3f00a4 by Mark Shannon in branch 'main':
bpo-44337: Port LOAD_ATTR to PEP 659 adaptive interpreter (GH-26595)
https://github.com/python/cpython/commit/e117c0283705943189e6b1aef668a1f68f3f00a4
msg396150 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-06-19 19:46
(That pull request doesn't have anything to do with this issue, but while testing it I did find a crash bug that I've bisected to this issue. See https://github.com/python/cpython/pull/26749#issuecomment-864454848.)
msg396225 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-06-21 10:49
New changeset fb68791a26e157ed3cdeb409c8d8b6cddc7535bd by Mark Shannon in branch 'main':
bpo-44337: Improve LOAD_ATTR specialization (GH-26759)
https://github.com/python/cpython/commit/fb68791a26e157ed3cdeb409c8d8b6cddc7535bd
History
Date User Action Args
2021-06-21 10:49:29Mark.Shannonsetmessages: + msg396225
2021-06-19 19:46:24gvanrossumsetmessages: + msg396150
2021-06-19 19:45:32gvanrossumsetpull_requests: - pull_request25387
2021-06-19 19:42:57gvanrossumsetnosy: + gvanrossum

pull_requests: + pull_request25387
2021-06-16 15:04:29Mark.Shannonsetpull_requests: + pull_request25344
2021-06-14 12:09:09Mark.Shannonsetpull_requests: + pull_request25306
2021-06-10 08:38:00Mark.Shannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-06-10 07:46:15Mark.Shannonsetmessages: + msg395513
2021-06-08 17:49:58BTaskayasetnosy: + BTaskaya
messages: + msg395346
2021-06-08 10:26:05Mark.Shannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25178
2021-06-07 18:03:40Mark.Shannoncreate